## plasma-systemmonitor 6.4.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(systemmonitor)

set(PROJECT_VERSION "6.4.5")

set(PROJECT_DEP_VERSION "6.4.5")
set(QT_MIN_VERSION "6.8.0")
set(KF6_MIN_VERSION "6.14.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMInstallIcons)
include(ECMAddTests)
include(ECMFindQmlModule)
include(ECMQmlModule)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Quick Widgets DBus)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS I18n Config Crash Service GlobalAccel KIO DBusAddons NewStuff ItemModels WindowSystem Package)
find_package(KSysGuard ${PROJECT_DEP_VERSION})
set_package_properties(KSysGuard PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "The libksysguard collection of libraries"
    URL https://invent.kde.org/plasma/libksysguard
)
find_package(KSystemStats)
set_package_properties(KSystemStats PROPERTIES
    TYPE RUNTIME
    PURPOSE "Daemon providing system statistics"
    URL https://invent.kde.org/plasma/ksystemstats
)
find_package(Qt6QuickControls2  ${QT_MIN_VERSION})
set_package_properties(Qt6QuickControls2 PROPERTIES
    TYPE RUNTIME
)
find_package(KF6Kirigami  ${KF6_MIN_VERSION})
set_package_properties(KF6Kirigami PROPERTIES
    TYPE RUNTIME
)
find_package(KF${QT_MAJOR_VERSION}KirigamiAddons 1.1.0 REQUIRED)
set_package_properties(KF${QT_MAJOR_VERSION}KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Provides additional visual components"
)
ecm_find_qmlmodule(Qt.labs.qmlmodels 1.0)
ecm_find_qmlmodule(org.kde.iconthemes 1.0)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
ecm_set_disabled_deprecation_versions(QT 6.8.1
    KF 6.12.0
)

if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
    add_definitions(-DQT_QML_DEBUG)
endif()

add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

install(PROGRAMS org.kde.plasma-systemmonitor.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(PROGRAMS org.kde.plasma-systemmonitor.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/kglobalaccel)
install(FILES org.kde.plasma-systemmonitor.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES kcm_external_plasma-systemmonitor.desktop DESTINATION ${KDE_INSTALL_DATADIR}/plasma/kinfocenter/externalmodules)

install(FILES kconf_update/plasma-systemmonitor.upd DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(PROGRAMS kconf_update/plasma-systemmonitor-replace-vmpss.py DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
plasma-systemmonitor (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:03:54 +0100

=== debian/control ===
Source: plasma-systemmonitor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.14.0~),
               kirigami-addons-dev (>= 1.1.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6globalaccel-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6itemmodels-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6newstuff-dev (>= 6.14.0~),
               libkf6package-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libkirigami-dev (>= 6.14.0~),
               libksysguard-dev (>= 4:6.4.5~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/plasma-systemmonitor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
Rules-Requires-Root: no

Package: plasma-systemmonitor
Section: utils
Architecture: any
Depends: ksystemstats (>= 6.2.90~),
         libksysguard-bin (>= 6.2.90~),
         python3:any,
         qml6-module-org-kde-iconthemes,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksysguard,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-quickcharts,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: System monitor for the Plasma desktop
 Plasma System Monitor provides an interface for monitoring system sensors,
 process information and other system resources.

## plasma-systemmonitor 6.4.5+p24.04+vstable+git20251001.0450

=== debian/changelog ===
plasma-systemmonitor (6.4.5+p24.04+vstable+git20251001.0450-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 04:50:43 +0000

plasma-systemmonitor (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:38:30 +0000

plasma-systemmonitor (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:22:29 +0000

## plasma-systemmonitor 6.4.5+p24.04+vstable+git20251004.0511

=== debian/changelog ===
plasma-systemmonitor (6.4.5+p24.04+vstable+git20251004.0511-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:11:37 +0000

## plasma-systemmonitor 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 project(systemmonitor)
 
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.4.91")
 
-set(PROJECT_DEP_VERSION "6.4.5")
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(PROJECT_DEP_VERSION "6.4.91")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
@@ -58,8 +58,8 @@
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
-ecm_set_disabled_deprecation_versions(QT 6.8.1
-    KF 6.12.0
+ecm_set_disabled_deprecation_versions(QT 6.9.0
+    KF 6.16.0
 )
 
 if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")

=== src/CMakeLists.txt ===
add_subdirectory(page)
add_subdirectory(table)
add_subdirectory(faces)


add_definitions(-DQT_NO_KEYWORDS)

add_executable(plasma-systemmonitor ${plasma-systemmonitor_SRCS} ${plasma-systemmonitor_QRC})
ecm_add_qml_module(plasma-systemmonitor URI "org.kde.systemmonitor" GENERATE_PLUGIN_SOURCE DEPENDENCIES "QtCore")

target_sources(plasma-systemmonitor PRIVATE
    main.cpp
    ToolsModel.cpp
    ToolsModel.h
    CommandLineArguments.cpp
    CommandLineArguments.h
)

ecm_target_qml_sources(plasma-systemmonitor SOURCES
    Main.qml
    GlobalMenu.qml
)


target_compile_definitions(plasma-systemmonitor PRIVATE PROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(plasma-systemmonitor PRIVATE
    Qt::Quick
    Qt::Widgets
    Qt::DBus
    KF6::I18n
    KF6::ConfigGui
    KF6::Crash
    KF6::Service
    KF6::KIOGui
    KF6::GlobalAccel
    KF6::DBusAddons
    KF6::WindowSystem
    PlasmaSystemMonitorPage
    PlasmaSystemMonitorTable
)

if(TARGET KF6::I18nQml)
    target_link_libraries(plasma-systemmonitor PRIVATE
       KF6::I18nQml
)
endif()

install(TARGETS plasma-systemmonitor DESTINATION ${KDE_INSTALL_BINDIR})
install(FILES plasma-systemmonitor.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

install(FILES
    pages/applications.page
    pages/history.page
    pages/overview.page
    pages/processes.page
    pages/old-history.page
    pages/old-overview.page
    DESTINATION ${KDE_INSTALL_DATADIR}/plasma-systemmonitor
    PERMISSIONS OWNER_READ GROUP_READ WORLD_READ
)

ecm_finalize_qml_module(plasma-systemmonitor)

=== debian/changelog ===
plasma-systemmonitor (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop patch relaxing inter-plasma minor versions requirement in build
    dependencies.
  * Use xfvb to run tests.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:18:40 +0200

=== debian/control ===
Source: plasma-systemmonitor
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               kirigami-addons-dev (>= 1.1.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libksysguard-dev (>= 4:6.4.91~),
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/en/plasma-systemmonitor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor.git
Rules-Requires-Root: no

Package: plasma-systemmonitor
Section: utils
Architecture: any
Depends: ksystemstats (>= 6.2.90~),
         libksysguard-bin (>= 6.2.90~),
         python3:any,
         qml6-module-org-kde-iconthemes,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksysguard,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-quickcharts,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: System monitor for the Plasma desktop
 Plasma System Monitor provides an interface for monitoring system sensors,
 process information and other system resources.

## plasma-systemmonitor 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 project(systemmonitor)
 
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.0")
 
-set(PROJECT_DEP_VERSION "6.4.91")
+set(PROJECT_DEP_VERSION "6.5.0")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-systemmonitor (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:59:26 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6service-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libksysguard-dev (>= 4:6.4.91~),
+               libksysguard-dev (>= 4:6.5.0~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-declarative-private-dev,
@@ -31,7 +31,6 @@
 Homepage: https://apps.kde.org/en/plasma-systemmonitor
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor.git
-Rules-Requires-Root: no
 
 Package: plasma-systemmonitor
 Section: utils

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a -- dh_auto_test -Skf6

execute_after_dh_fixperms-arch:
	chmod -x $(CURDIR)/debian/plasma-systemmonitor/usr/share/kglobalaccel/org.kde.plasma-systemmonitor.desktop

## plasma-systemmonitor 6.5.0+p24.04+vstable+git20251028.2233

=== debian/changelog ===
plasma-systemmonitor (6.5.0+p24.04+vstable+git20251028.2233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 22:33:04 +0000

plasma-systemmonitor (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:33:05 +0000

=== debian/control ===
Source: plasma-systemmonitor
Section: kde
Priority: optional
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kitemmodels-dev,
               kf6-knewstuff-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               libksysguard-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/en/plasma-systemmonitor
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/kde/plasma-systemmonitor.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-systemmonitor
Maintainer: Neon CI <neon@kde.org>

Package: plasma-systemmonitor
Section: utils
Architecture: any
Depends: kf6-kcoreaddons,
         kf6-kdeclarative,
         kf6-kirigami-addons,
         kf6-kirigami2,
         kf6-kitemmodels,
         kf6-knewstuff,
         kf6-kquickcharts,
         kf6-qqc2-desktop-style,
         ksystemstats,
         python3,
         qml6-module-org-kde-ksysguard,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends}
Description: System monitor for the Plasma desktop
 Plasma System Monitor provides an interface for monitoring system sensors,
 process information and other system resources.

## plasma-systemmonitor 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 project(systemmonitor)
 
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 
-set(PROJECT_DEP_VERSION "6.5.0")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-systemmonitor (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:48:37 +0000

plasma-systemmonitor (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:39:21 +0100

=== debian/control ===
Source: plasma-systemmonitor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.18.0~),
               kirigami-addons-dev (>= 1.1.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libksysguard-dev (>= 4:6.5.1~),
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/plasma-systemmonitor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
Rules-Requires-Root: no

Package: plasma-systemmonitor
Section: utils
Architecture: any
Depends: ksystemstats (>= 6.2.90~),
         libksysguard-bin (>= 6.2.90~),
         python3:any,
         qml6-module-org-kde-iconthemes,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksysguard,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-quickcharts,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: System monitor for the Plasma desktop
 Plasma System Monitor provides an interface for monitoring system sensors,
 process information and other system resources.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_fixperms-arch:
	chmod -x $(CURDIR)/debian/plasma-systemmonitor/usr/share/kglobalaccel/org.kde.plasma-systemmonitor.desktop

override_dh_auto_test:
	# Disable auto tests at build time
	:

## plasma-systemmonitor 6.5.1+p24.04+vstable+git20251029.0738

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(systemmonitor)
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
plasma-systemmonitor (6.5.1+p24.04+vstable+git20251029.0738-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:38:51 +0000

plasma-systemmonitor (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:00:36 +0000

## plasma-systemmonitor 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(PROJECT_VERSION "6.5.2")
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-systemmonitor (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:31:46 +0100

plasma-systemmonitor (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:15:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: plasma-systemmonitor
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                kirigami-addons-dev (>= 1.1.0~),
                libkf6config-dev (>= 6.18.0~),
@@ -22,15 +21,16 @@
                libkf6service-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libksysguard-dev (>= 4:6.5.1~),
+               libksysguard-dev (>= 4:6.5.2~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
-               qt6-declarative-private-dev (>= 6.9.0~),
-Standards-Version: 4.7.0
+               qt6-declarative-private-dev,
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/en/plasma-systemmonitor
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor.git
 
 Package: plasma-systemmonitor
 Section: utils

## plasma-systemmonitor 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 project(systemmonitor)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 
-set(PROJECT_DEP_VERSION "6.5.2")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-systemmonitor (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:24:48 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6service-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libksysguard-dev (>= 4:6.5.2~),
+               libksysguard-dev (>= 4:6.5.3~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-declarative-private-dev,

## plasma-systemmonitor 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 project(systemmonitor)
 
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.4")
 
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-systemmonitor (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:52:24 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6service-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libksysguard-dev (>= 4:6.5.3~),
+               libksysguard-dev (>= 4:6.5.4~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-declarative-private-dev,

## plasma-systemmonitor 6.5.4+p24.04+vstable+git20260101.0147

=== debian/changelog ===
plasma-systemmonitor (6.5.4+p24.04+vstable+git20260101.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:47:56 +0000

plasma-systemmonitor (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:21:00 +1000

plasma-systemmonitor (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:12:47 +1000

plasma-systemmonitor (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:12:08 +1000

## plasma-systemmonitor 6.5.4+p24.04+vstable+git20260103.0454

=== debian/changelog ===
plasma-systemmonitor (6.5.4+p24.04+vstable+git20260103.0454-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 04:54:34 +0000

## plasma-systemmonitor 6.5.4+p24.04+vstable+git20260105.1045

=== debian/changelog ===
plasma-systemmonitor (6.5.4+p24.04+vstable+git20260105.1045-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:45:26 +0000

## plasma-systemmonitor 6.5.4+p24.04+vunstable+git20260104.0309

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 project(systemmonitor)
 
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.80")
 
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

## plasma-systemmonitor 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 project(systemmonitor)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.5")
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-systemmonitor (6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:09:21 +0000

plasma-systemmonitor (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:07:45 +0000

plasma-systemmonitor (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:21:00 +0000

plasma-systemmonitor (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:09:35 +0000

plasma-systemmonitor (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:14:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: plasma-systemmonitor
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                kirigami-addons-dev (>= 1.1.0~),
                libkf6config-dev (>= 6.18.0~),
@@ -21,16 +22,15 @@
                libkf6service-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
-               libksysguard-dev (>= 4:6.5.4~),
+               libksysguard-dev (>= 4:6.5.5~),
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
-               qt6-declarative-private-dev,
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
-Standards-Version: 4.7.2
+               qt6-declarative-private-dev (>= 6.9.0~),
+Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/plasma-systemmonitor
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-systemmonitor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor
+Rules-Requires-Root: no
 
 Package: plasma-systemmonitor
 Section: utils

## plasma-systemmonitor 6.5.5+p24.04+vstable+git20260130.0804

=== debian/changelog ===
plasma-systemmonitor (6.5.5+p24.04+vstable+git20260130.0804-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:04:44 +0000

plasma-systemmonitor (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:32 +1000

## plasma-systemmonitor 6.5.5+p24.04+vstable+git20260131.0442

=== debian/changelog ===
plasma-systemmonitor (6.5.5+p24.04+vstable+git20260131.0442-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 04:42:38 +0000

## plasma-systemmonitor 6.5.5+p24.04+vunstable+git20260201.0726

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 project(systemmonitor)
 
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 
-set(PROJECT_DEP_VERSION "6.5.5")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
plasma-systemmonitor (6.5.5+p24.04+vunstable+git20260201.0726-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 07:26:51 +0000

## plasma-systemmonitor 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 project(systemmonitor)
 
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.1")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-systemmonitor (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:16:36 +0000

=== debian/control ===
--- 
+++ 
@@ -8,24 +8,24 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                kirigami-addons-dev (>= 1.1.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6crash-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6globalaccel-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6itemmodels-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6newstuff-dev (>= 6.18.0~),
-               libkf6package-dev (>= 6.18.0~),
-               libkf6service-dev (>= 6.18.0~),
-               libkf6windowsystem-dev (>= 6.18.0~),
-               libkirigami-dev (>= 6.18.0~),
-               libksysguard-dev (>= 4:6.5.5~),
-               qt6-base-dev (>= 6.9.0~),
-               qt6-declarative-dev (>= 6.9.0~),
-               qt6-declarative-private-dev (>= 6.9.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6crash-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6globalaccel-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6itemmodels-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6newstuff-dev (>= 6.22.0~),
+               libkf6package-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
+               libkf6windowsystem-dev (>= 6.22.0~),
+               libkirigami-dev (>= 6.22.0~),
+               libksysguard-dev (>= 4:6.6.1~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-declarative-private-dev (>= 6.10.0~),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/plasma-systemmonitor
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-systemmonitor

## plasma-systemmonitor 6.6.2

=== debian/changelog ===
plasma-systemmonitor (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:24:41 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf6service-dev (>= 6.22.0~),
                libkf6windowsystem-dev (>= 6.22.0~),
                libkirigami-dev (>= 6.22.0~),
-               libksysguard-dev (>= 4:6.6.1~),
+               libksysguard-dev (>= 4:6.6.2~),
                qt6-base-dev (>= 6.10.0~),
                qt6-declarative-dev (>= 6.10.0~),
                qt6-declarative-private-dev (>= 6.10.0~),
